Skip to main content
Back to API List The Web Crawl APIs enable you to create and manage website sources, configure sitemap-based crawling, and trigger crawl operations programmatically.

Create a Web Source

Creates a new website source for crawling.

Query Parameters

Request Parameters

Sample Response

Configure an uploaded sitemap for web crawl

To configure a web source using a sitemap, complete the following steps. Step 1: Upload the Sitemap Upload the sitemap file using the public upload API. Use multipart/form-data with the following fields: Save the returned fileId from the response. Step 2: Attach the Sitemap Update the web source with the uploaded sitemap using the Create Web Crawl endpoint. Set the sourceType as uploadSitemap, as shown below.

Initiate a web crawl

This API triggers web crawl.

Query Parameters

Request Parameters